﻿' VB.NET to Check Valid World
'   lines starting with an apostrophe are comments
Public Class WorldCheck

    ' create Visual CADD object
    Shared WithEvents vcadd As New VCadd32.Automation

    Public Shared Function Run(ByVal str As String) As Integer

        '   Check the current world:
        '       The following code checks the current drawing world 
        '       in order to make sure it is valid:

        Dim tfValid As Short

        tfValid = vcadd.IsCurrentWorldValid()

        If (tfValid = 0) Then
            MsgBox("Not a valid world", MsgBoxStyle.Exclamation, "API Help Sample")

            '   Optional - stop tool from running
        Else
            MsgBox("Valid world", MsgBoxStyle.Information, "API Help Sample")
        End If

        ' return
        Return (True)

    End Function

End Class
