﻿' VB.NET to Create a Custom Ribalog
'   lines starting with an apostrophe are comments

Public Class CustRibalog

    '  construct a Visual CADD object
    Shared vcadd As VCadd32.Automation = New VCadd32.Automation()

    Public Shared Function Run(ByVal str As String) As Integer
        '   create our ribalog
        Dim ribalog As CustRibalog = New CustRibalog()
        Return 1
    End Function

    Public Sub New()
        '   standard VB.NET form initialization
        InitializeComponent()

        '   show our ribalog
        Show()

        '   Get the Visual CADD tool bar size and location
        Dim ribSize(3)
        ribSize = vcadd.GetRibalogSize()

        '   Set our ribalog to the tool bar size and location
        Location = New System.Drawing.Point(ribSize(0), ribSize(1))
        Size = New System.Drawing.Size(ribSize(2), ribSize(3))
    End Sub

    '   OK button clicked
    Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click
        '  construct a point object
        Dim pt As New VCadd32.VCPoint2D

        '  set the point to the origin
        pt.X = 0.0
        pt.Y = 0.0

        '  set text string
        vcadd.SetTextString(TextBox1.Text)

        '  place the text in the drawing at the given point
        '    -1 means in the drawing, other options 
        '    can place it in a symbol definition
        vcadd.AddTextEntity(-1, pt)

        '  zoom all to see the text
        vcadd.ZoomAll()

        '   Done.  Close ourself.
        Close()
    End Sub

End Class